> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Map Tile

> Fetch tile



## OpenAPI

````yaml /openapi.yaml get /api/v1/stations/tile/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/stations/tile/:
    get:
      tags:
        - Stations
      summary: Get Map Tile
      description: Fetch tile
      operationId: stations_tile_retrieve
      parameters:
        - in: query
          name: connector_types
          schema:
            type: array
            items:
              enum:
                - CHADEMO
                - DOMESTIC_A
                - DOMESTIC_B
                - DOMESTIC_C
                - DOMESTIC_D
                - DOMESTIC_E
                - DOMESTIC_F
                - DOMESTIC_G
                - DOMESTIC_H
                - DOMESTIC_I
                - DOMESTIC_J
                - DOMESTIC_K
                - DOMESTIC_L
                - IEC_60309_2_single_16
                - IEC_60309_2_three_16
                - IEC_60309_2_three_32
                - IEC_60309_2_three_64
                - IEC_62196_T1
                - IEC_62196_T1_COMBO
                - IEC_62196_T2
                - IEC_62196_T2_COMBO
                - IEC_62196_T3A
                - IEC_62196_T3C
                - TESLA_R
                - TESLA_S
              type: string
              description: |-
                * `CHADEMO` - CHADEMO
                * `DOMESTIC_A` - DOMESTIC_A
                * `DOMESTIC_B` - DOMESTIC_B
                * `DOMESTIC_C` - DOMESTIC_C
                * `DOMESTIC_D` - DOMESTIC_D
                * `DOMESTIC_E` - DOMESTIC_E
                * `DOMESTIC_F` - DOMESTIC_F
                * `DOMESTIC_G` - DOMESTIC_G
                * `DOMESTIC_H` - DOMESTIC_H
                * `DOMESTIC_I` - DOMESTIC_I
                * `DOMESTIC_J` - DOMESTIC_J
                * `DOMESTIC_K` - DOMESTIC_K
                * `DOMESTIC_L` - DOMESTIC_L
                * `IEC_60309_2_single_16` - IEC_60309_2_single_16
                * `IEC_60309_2_three_16` - IEC_60309_2_three_16
                * `IEC_60309_2_three_32` - IEC_60309_2_three_32
                * `IEC_60309_2_three_64` - IEC_60309_2_three_64
                * `IEC_62196_T1` - IEC_62196_T1
                * `IEC_62196_T1_COMBO` - IEC_62196_T1_COMBO
                * `IEC_62196_T2` - IEC_62196_T2
                * `IEC_62196_T2_COMBO` - IEC_62196_T2_COMBO
                * `IEC_62196_T3A` - IEC_62196_T3A
                * `IEC_62196_T3C` - IEC_62196_T3C
                * `TESLA_R` - TESLA_R
                * `TESLA_S` - TESLA_S
          description: List of connector types to filter stations
        - in: query
          name: max_price
          schema:
            type: number
            format: double
          description: Filter out stations with price higher than this
        - in: query
          name: only_available
          schema:
            type: boolean
            default: false
          description: Whether to show only available stations
        - in: query
          name: only_partners
          schema:
            type: boolean
            default: false
          description: Whether to show only partner stations
        - in: query
          name: operators
          schema:
            type: array
            items:
              type: string
          description: List of partner operator names to filter stations
        - in: query
          name: power_groups
          schema:
            type: array
            items:
              enum:
                - slow
                - fast
                - turbo
              type: string
              description: |-
                * `slow` - slow
                * `fast` - fast
                * `turbo` - turbo
          description: List of power groups to filter stations
        - in: query
          name: x
          schema:
            type: array
            items:
              type: integer
          description: Identifies the X coordinates of the tile in the grid
          required: true
        - in: query
          name: 'y'
          schema:
            type: array
            items:
              type: integer
          description: Identifies the Y coordinates of the tile in the grid
          required: true
        - in: query
          name: z
          schema:
            type: integer
          description: Zoom level
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectAPITileResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetail'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    ConnectAPITileResponse:
      type: object
      properties:
        type:
          type: string
          default: FeatureCollection
        features:
          type: array
          items:
            $ref: '#/components/schemas/TilesFeatureCollection'
      required:
        - features
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
        error:
          $ref: '#/components/schemas/Error'
      required:
        - detail
        - error
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    TilesFeatureCollection:
      type: object
      properties:
        type:
          type: string
          default: Feature
        station_id:
          type: string
          description: Available only for single-station features
        cluster_id:
          type: string
          description: Available only when the feature represents a cluster of stations
        geometry:
          $ref: '#/components/schemas/TilesGeometryPoint'
        properties:
          $ref: '#/components/schemas/TilesProperty'
        custom_properties:
          $ref: '#/components/schemas/TilesCustomProperties'
        price_properties:
          $ref: '#/components/schemas/TilesPriceProperties'
      required:
        - geometry
        - properties
    Error:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ErrorTypeEnum'
          description: |-
            Type of the error

            * `validation_error` - validation_error
            * `payment_method_error` - payment_method_error
            * `payment_error` - payment_error
            * `temporary_locked` - temporary_locked
            * `already_charging` - already_charging
            * `already_stopped` - already_stopped
            * `station_availability_issue` - station_availability_issue
            * `billing_data_required` - billing_data_required
            * `charging_provider_error` - charging_provider_error
            * `unexpected_error` - unexpected_error
            * `pre_authorization_failed` - pre_authorization_failed
        details:
          type: string
          description: Additional details about the error
        payment_intent_client_secret:
          type: string
          description: Client secret of the payment intent that failed
      required:
        - details
        - type
    TilesGeometryPoint:
      type: object
      properties:
        type:
          type: string
          default: Point
        coordinates:
          type: array
          items:
            type: string
          description: Latitude and longitude of the station as a list of floats
      required:
        - coordinates
    TilesProperty:
      type: object
      properties:
        count:
          type: integer
        expansion_zoom:
          type: integer
        speed:
          $ref: '#/components/schemas/SpeedEnum'
        status:
          $ref: '#/components/schemas/Status80fEnum'
        operator_id:
          type: string
      required:
        - count
    TilesCustomProperties:
      type: object
      properties:
        is_partner:
          type: boolean
      required:
        - is_partner
    TilesPriceProperties:
      type: object
      properties:
        price:
          type: string
        type:
          $ref: '#/components/schemas/TilesPricePropertiesTypeEnum'
        currency:
          type: string
      required:
        - currency
        - price
        - type
    ErrorTypeEnum:
      enum:
        - validation_error
        - payment_method_error
        - payment_error
        - temporary_locked
        - already_charging
        - already_stopped
        - station_availability_issue
        - billing_data_required
        - charging_provider_error
        - unexpected_error
        - pre_authorization_failed
      type: string
      description: |-
        * `validation_error` - validation_error
        * `payment_method_error` - payment_method_error
        * `payment_error` - payment_error
        * `temporary_locked` - temporary_locked
        * `already_charging` - already_charging
        * `already_stopped` - already_stopped
        * `station_availability_issue` - station_availability_issue
        * `billing_data_required` - billing_data_required
        * `charging_provider_error` - charging_provider_error
        * `unexpected_error` - unexpected_error
        * `pre_authorization_failed` - pre_authorization_failed
    SpeedEnum:
      enum:
        - slow
        - fast
        - turbo
      type: string
      description: |-
        * `slow` - slow
        * `fast` - fast
        * `turbo` - turbo
    Status80fEnum:
      enum:
        - free
        - busy
        - unknown
        - error
      type: string
      description: |-
        * `free` - free
        * `busy` - busy
        * `unknown` - unknown
        * `error` - error
    TilesPricePropertiesTypeEnum:
      enum:
        - charging_price
        - time_price
      type: string
      description: |-
        * `charging_price` - charging_price
        * `time_price` - time_price
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````